module factorymethod.pizzafactorymethod.chicagostylecheesepizza;

import factorymethod.pizzafactorymethod.pizza;
import std.stdio : writeln;

class ChicagoStyleCheesePizza : Pizza
{
    this()
    { 
        name = "Chicago Style Deep Dish Cheese Pizza";
        dough = "Extra Thick Crust Dough";
        sauce = "Plum Tomato Sauce";
 
        toppings ~= "Shredded Mozzarella Cheese";
    }
 
    override void cut()
    {
        writeln("Cutting the pizza into square slices");
    }
}
